### Method

# Gdk Deviceget_product_id

#### Declaration [src]

    const char*
    gdk_device_get_product_id (
      GdkDevice* device
    )

#### Description [src]

Returns the product ID of this device.

This ID is retrieved from the device, and does not change. See `gdk_device_get_vendor_id()` for more information.

Gets property | `Gdk.Device:product-id`

#### Return value

Type: `const char*`

The product ID.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.